﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;
using iRSDKSharp;

namespace iRacingWind {
    public partial class frmMain : Form {
        static SerialPort SP = new SerialPort("COM1", 9600, Parity.None, 8);
        iRacingSDK sdk = new iRacingSDK();
        //double fMax = 40; // metros por segundo
        byte[] send = new byte[1];

        public frmMain() {
            InitializeComponent();
        }

        private void frmMain_Load(object sender, EventArgs e) {
            SP.Open();
        }

        private void frmMain_FormClosing(object sender, FormClosingEventArgs e) {
            send[0] = 0;
            SP.Write(send, 0, 1);
            SP.Close();
        }

        private void timer1_Tick(object sender, EventArgs e) {
            double YellowFlag;
            byte data;

            if (sdk.IsConnected()) {
                YellowFlag = Convert.ToDouble(sdk.GetData("yellow"));

               // if (fSpeed > fMax)
                 //   fMax = fSpeed;

                data = Convert.ToByte(YellowFlag); //(fSpeed * 255) / fMax);
               // if (data < 30)
                 //   data = 30;

                send[0] = data;
                SP.Write(send, 0, 1);
                this.Text = Convert.ToString(send[0]);
                lblSpeed.Text = "Yellow Flag : " + YellowFlag  ;
            } else if (sdk.IsInitialized) {
                sdk.Shutdown();
            } else {
                sdk.Startup();
            }
        }

        private void cmbSend_Click(object sender, EventArgs e) {
            if (cmbSend.Text == "Start") {
                timer1.Enabled = true;
                cmbSend.Text = "Stop";
            } else {
                send[0] = 0;
                SP.Write(send, 0, 1);
                timer1.Enabled = false;
                cmbSend.Text = "Start";
            }
        }
    }
}
